#include <bits/stdc++.h>
using namespace std;

int main()
{
    int t;
    cin>>t;
    for(int i=0; i<t; i++){
        int n, m, k;
        cin>>n>>m>>k>>endl;
        if(k>n) cout<<"Nie"<<endl;
        else cout<<"Tak"<<endl;
    }
    
    return 0;
}